<?php
namespace Cmbc;

class Handle
{
	public function get($method, $setting)
	{
		$class = $this->config($method);
		$class = new $class($setting);
		return $class;
	}

	private function config($method)
	{
		$config['order'] = '\\Cmbc\\Api\\UnifiedOrder';
		$config['notify'] = '\\Cmbc\\Api\\Notify';

		if (isset($config[$method])) {
			return $config[$method];
		}
	}
}